This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 252334 - bind-chroot-9.3.3-9.0.1 leaks error noise in its scripts
bind-chroot-9.3.3-9.0.1 leaks error noise in its scripts
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: bind (Show other bugs)
5.0
All Linux
low Severity low
: ---
: ---
Assigned To: Adam Tkac
: EasyFix, Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-15 09:42 EDT by R P Herrold
Modified: 2013-04-30 19:37 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2008-0300
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 10:17:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed patch (925 bytes, patch)
2007-08-31 07:00 EDT, Adam Tkac
no flags Details | Diff

  None (edit)
Description R P Herrold 2007-08-15 09:42:20 EDT
Description of problem:

bond-chroot script leaks error noise on %pre, %post scripts

Version-Release number of selected component (if applicable):

bind-chroot-9.3.3-9.0.1, Epoch 30

How reproducible:

rpm -e 

Steps to Reproduce:
1.
2.
3.
  
Actual results:

This noise:

Locating //etc/named.conf failed:
[FAILED]


Expected results:

silent run, handling a non-found named.conf file 

as a 'plaster over it', something like a   || :     or really fixing the looking
to determine if a configured chrooted bind was present would be the proper fix

Additional info:
Comment 1 Adam Tkac 2007-08-31 07:00:54 EDT
Created attachment 183081 [details]
proposed patch
Comment 2 RHEL Product and Program Management 2007-10-15 23:48:32 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 7 errata-xmlrpc 2008-05-21 10:17:43 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2008-0300.html

Note You need to log in before you can comment on or make changes to this bug.